package fr.natan.akkastreamfileprocessingapi.service

import fr.natan.akkastreamfileprocessingapi.models.Models.Person

trait AkkaStreamFileProcessing {
  def getAllPersons(): Unit

  def getPersonById(nconst: String): Person
  def getPersonByName(primaryName: String): Unit

  def getAllTvSeries(): Unit

  def getByTvSeriePrimaryTitle(tvSerieTitle: String): Unit

  def getListOfPersonsIDByTvSerieID(tconst: String): List[Option[String]]
}
